=== debian/control ===
Source: ros-kinetic-earth-rover-localization
Section: misc
Priority: extra
Maintainer: Andres Palomino <andres@earthrover.cc>
Build-Depends: debhelper (>= 9.0.0), geographiclib-tools, libgeographic-dev, ros-kinetic-catkin, ros-kinetic-piksi-multi-rtk, ros-kinetic-piksi-rtk-msgs, ros-kinetic-robot-localization, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-tf
Homepage: http://open.earthrover.cc/
Standards-Version: 3.9.2

Package: ros-kinetic-earth-rover-localization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geographiclib-tools, libgeographic-dev, ros-kinetic-piksi-multi-rtk, ros-kinetic-piksi-rtk-msgs, ros-kinetic-robot-localization, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-tf
Description: Configuration for the EKF of the robot_localization package to use with the Earth Rover Open Agribot.
